org.eclipse.wst.jsdt.chromium.debug.ui

## Class WizardUtils

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.WizardUtils

    public class WizardUtils
    extends java.lang.Object

A set of utils for creating Eclipse Wizard that is compatible with `DialogUtils.Updater`.

### Nested Class Summary

Nested Classes
`static class` `WizardUtils.LogicBasedWizard` A simple implementation of Eclipse `IWizard` that works with `WizardUtils.WizardPageSet` and `WizardUtils.WizardLogic`.
`static class` `WizardUtils.NextPageEnabler` A utility class that ties `DialogUtils.Updater` together with `WizardUtils.LogicBasedWizard`.
`static interface` `WizardUtils.PageElements` A base interface for page set object.
`static interface` `WizardUtils.PageElementsFactory<T extends WizardUtils.PageElements>`
`static class` `WizardUtils.PageImpl<PE extends WizardUtils.PageElements>` A simple implementation of the wizard page that stores mutable pointers to its next/previous pages and a pointer to page elements.
`static interface` `WizardUtils.PageListener`
`static class` `WizardUtils.WizardFinishController` A utility class that ties `DialogUtils.Updater` together with `WizardUtils.LogicBasedWizard`.
`static interface` `WizardUtils.WizardFinisher` A call-back that implements wizard 'finish' button action.
`static interface` `WizardUtils.WizardLogic` An accessor to a wizard logic system.
`static interface` `WizardUtils.WizardPageSet` A base interface for page set object.

### Constructor Summary

Constructors
Constructor and Description
`WizardUtils()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WizardUtils

    public WizardUtils()